curl --request POST \
--url https://flowker.sandbox.lerian.net/v1/workflows/{workflowId}/executions \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"inputData": {
"transactionId": "txn-98765",
"amount": 1500,
"currency": "BRL",
"customerId": "cust-12345",
"message": "Payment received"
}
}
'import requests
url = "https://flowker.sandbox.lerian.net/v1/workflows/{workflowId}/executions"
payload = { "inputData": {
"transactionId": "txn-98765",
"amount": 1500,
"currency": "BRL",
"customerId": "cust-12345",
"message": "Payment received"
} }
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
inputData: {
transactionId: 'txn-98765',
amount: 1500,
currency: 'BRL',
customerId: 'cust-12345',
message: 'Payment received'
}
})
};
fetch('https://flowker.sandbox.lerian.net/v1/workflows/{workflowId}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executionId": "f7e6d5c4-b3a2-1098-7654-321fedcba098",
"startedAt": "2026-03-17T14:35:00Z",
"status": "running",
"workflowId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}{
"executionId": "f7e6d5c4-b3a2-1098-7654-321fedcba098",
"startedAt": "2026-03-17T14:35:00Z",
"status": "running",
"workflowId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}{
"code": "FLK-0001",
"message": "Invalid input provided",
"title": "Bad Request"
}{
"code": "FLK-0001",
"message": "Invalid input provided",
"title": "Bad Request"
}{
"code": "FLK-0001",
"message": "Invalid input provided",
"title": "Bad Request"
}{
"code": "FLK-0001",
"message": "Invalid input provided",
"title": "Bad Request"
}{
"code": "FLK-0001",
"message": "Invalid input provided",
"title": "Bad Request"
}Execute a Workflow
Use this endpoint to start a new workflow execution. The request returns immediately with a pending status. Use the Idempotency-Key header to ensure safe retries.
Authorizations
API key for authenticating requests to the Flowker API. Provisioned via the API_KEY environment variable during deployment.
Headers
Unique idempotency key to ensure safe retries of the same request.
Path Parameters
Unique identifier of the workflow.
Body
Request body containing the execution input data.
Input data passed to the workflow. Available to all nodes during execution. Maximum payload size is 1 MB.
Show child attributes
Show child attributes
{
"transactionId": "txn-98765",
"amount": 1500,
"currency": "BRL",
"customerId": "cust-12345",
"message": "Payment received"
}
Response
Indicates that an identical request was already processed. Returns the original execution.
Unique identifier of the execution.
"f7e6d5c4-b3a2-1098-7654-321fedcba098"
Timestamp when the execution started.
"2026-03-17T14:35:00Z"
Initial status of the execution (always pending).
"running"
ID of the workflow being executed.
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Was this page helpful?

